Index: src/uk/me/parabola/mkgmap/osmstyle/StyledConverter.java
===================================================================
--- src/uk/me/parabola/mkgmap/osmstyle/StyledConverter.java	(revision 3643)
+++ src/uk/me/parabola/mkgmap/osmstyle/StyledConverter.java	(working copy)
@@ -1620,7 +1620,7 @@
 		elementSetup(line, cw.getGType(), way);
 		line.setPoints(points);
 		MapRoad road = new MapRoad(nextRoadId++, way.getId(), line);
-		if (routable == false)
+		if (routable == false || way.tagIsLikeNo("mkgmap:add-to-NOD"))
 			road.skipAddToNOD(true);
 		
 		boolean doFlareCheck = true;
Index: resources/styles/default/lines
===================================================================
--- resources/styles/default/lines	(revision 3643)
+++ resources/styles/default/lines	(working copy)
@@ -18,8 +18,8 @@
 # Mark highways with the toll flag
 highway=* & (toll=yes|toll=true) { set mkgmap:toll=yes }
 
-# Hide proposed ways
-highway=proposed {delete highway;delete junction}
+# Hide proposed / planned ways
+highway=proposed | highway=planned {delete highway;delete junction}
 # Hide removed ways
 highway=razed {deletealltags}
 # Hide unaccessible tunnels
@@ -107,7 +107,7 @@
 # Ways that may or may not be useable
 
 # Treat ways under construction almost as highway=path
-highway=construction { add mkgmap:dead-end-check = false; }
+highway=construction { add mkgmap:dead-end-check = false; add mkgmap:add-to-NOD=false}
 [0x16 road_class=0 road_speed=0 resolution 23]
 
 # Lower the road speed of ways under some construction.
Index: doc/styles/internal-tags.txt
===================================================================
--- doc/styles/internal-tags.txt	(revision 3643)
+++ doc/styles/internal-tags.txt	(working copy)
@@ -65,6 +65,7 @@
 | +mkgmap:dir-check+  | Set to +false+ to tell mkgmap to ignore the way when checking roundabouts for direction | 'check-roundabouts'
 | +mkgmap:no-dir-check+  | Set to +true+ to tell mkgmap to ignore the way when checking roundabouts for direction | 'check-roundabouts'
 | +mkgmap:synthesised+  | Set to +true+ to tell mkgmap that this is an additional way created using the continue statement in an action block and that it should be excluded from checks | 'check-roundabouts', 'check-roundabout-flares'
+| +mkgmap:mkgmap:add-to-NOD+  | Set to +false+ to tell mkgmap that this way should not be added to the NOD subfile and therefore will not be routable| route
     
 |=========================================================
 
